Bug 728879 - Review Request: perl-WWW-GoodData - Client library for GoodData REST-ful API
Summary: Review Request: perl-WWW-GoodData - Client library for GoodData REST-ful API
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ingeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 09:20 UTC by Lubomir Rintel
Modified: 2012-02-13 17:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-13 17:59:42 UTC
mi: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2011-08-08 09:20:58 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/perl-WWW-GoodData.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/perl-WWW-GoodData-1.4-1.fc14.src.rpm

Description:

WWW::GoodData is the client for GoodData JSON-based API built atop
WWW::GoodData::Agent client agent, with focus on usefullness and
correctness of implementation.

Comment 1 Michal Ingeli 2011-08-08 11:06:33 UTC
* builds in mock
* builds in koji with f16 [1] and f15 [2]
* license OK
* installs OK
* source matches upstream
* rpmlint almost silent (grammar issue)
* SPEC file clean

- typo in description - 'usefullness'
- Requires: perl(JSON::XS) seems to be redundant

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=3257851
[2] http://koji.fedoraproject.org/koji/taskinfo?taskID=3257947

Comment 3 Michal Ingeli 2011-08-15 12:54:46 UTC
APPROVED

Comment 4 Lubomir Rintel 2011-08-16 08:44:06 UTC
Dzienkuje barzdo.

New Package SCM Request
=======================
Package Name: perl-WWW-GoodData
Short Description: Client for GoodData REST-ful API
Owners: lkundrak
Branches: f14 f15 f16 el5 el6

Comment 5 Gwyn Ciesla 2011-08-16 12:27:56 UTC
Git done (by process-git-requests).

Comment 6 Petr Šabata 2012-01-05 12:49:38 UTC
I wonder why this review is still in the NEW status and why its git repo is still empty?...

Comment 7 Lubomir Rintel 2012-02-13 17:59:42 UTC
Imported and built. Thank you!


Note You need to log in before you can comment on or make changes to this bug.